SuSE 8.2 + Athlon kernel

Discussion in 'OT Technology' started by Penguin Man, Oct 27, 2003.

  1. Penguin Man

    Penguin Man Protect Your Digital Liberties

    Joined:
    Apr 27, 2002
    Messages:
    21,696
    Likes Received:
    0
    Location:
    Edmonton, AB
    So, on my new install I've got SuSE 8.2 with the athlon optimized kernel. It works great, but for some reason I don't have the sources for the athlon kernel, the sources it installed are for the regular kernel. This means I can't compile modules because they don't match the kernel version I'm running. I looked in YaST Online Update and the Install/Remove packages part, but I can't seem to get it to install the athlon sources (I even tried reinstalling and updating the kernel-source package).

    Anyone running a similar system? Anyone have any ideas on how to solve this? I really need those sources, need to compile some modules.
     
  2. Penguin Man

    Penguin Man Protect Your Digital Liberties

    Joined:
    Apr 27, 2002
    Messages:
    21,696
    Likes Received:
    0
    Location:
    Edmonton, AB
    Figured it out, but I'll leave this thread here in case anyone else runs into the same problem. The source is the same (or close enough that the difference is negligible), so you can just change the name of the version in /usr/src/linux/include/version.h from 2.4.20-4GB to 2.4.20-4GB-athlon.
     

Share This Page